---
title: About MDN Web Docs
slug: MDN/About
tags:
  - Collaborating
  - Community
  - Copyright
  - Documentation
  - Guide
  - Licenses
  - MDN Meta
---
<div>{{MDNSidebar}}</div>

<div>{{IncludeSubNav("/en-US/docs/MDN")}}</div>

<p>MDN Web Docs (previously known as MDN — the Mozilla Developer Network) is an evolving learning platform for Web technologies and the software that powers the Web, including <a href="/en-US/docs/CSS">CSS</a>, <a href="/en-US/docs/HTML">HTML</a>, and <a href="/en-US/docs/JavaScript">JavaScript</a>. We also have a detailed set of beginner's learning material — see <a href="/en-US/docs/Learn">Learn Web development</a>.</p>

<h2 id="Our_mission">Our mission</h2>

<p>MDN's mission is simple: provide developers with the information they need to easily build projects on the <a href="/en-US/docs/Web">open Web</a>. If it's an open technology exposed to the Web, we want to document it.</p>

<p>If you're not sure whether a particular topic should be covered on MDN, read <a href="/en-US/docs/Project:MDN/Contributing/Does_this_belong">Does this belong on MDN?</a></p>

<h2 id="How_you_can_help">How you can help</h2>

<p>Our community is a global one. We have amazing contributors all around the world who help us create content, fix bugs, review content changes, and add sample code.</p>

<p>However, you don't need to be a professional coder or writer to help MDN! Head over to our <a href="/en-US/docs/MDN/Contribute">Contribute</a> pages to find something you can do to help, based on your expertise and how much time you have to spare.</p>

<h2 id="Using_MDN_Web_Docs_content">Using MDN Web Docs content</h2>

<p>MDN's content is available free of charge, and under open source licenses.</p>

<h3 id="Copyrights_and_licenses">Copyrights and licenses</h3>

<p>MDN's content is entirely available under various open source licenses. This section covers the types of content we provide and what licenses are in effect for each.</p>

<h4 id="Documentation_and_articles">Documentation and articles</h4>

<p><strong>MDN content</strong> has been prepared with the contributions of authors from both inside and outside Mozilla. Unless otherwise indicated, the content is available under the terms of the <a class="external text" href="https://creativecommons.org/licenses/by-sa/2.5/" rel="nofollow">Creative Commons Attribution-ShareAlike license</a> (CC-BY-SA), v2.5 or any later version.</p>

<p>When reusing MDN content, you need to ensure two things:</p>

<ol>
 <li>
  <p>Attribution is given to the original content.</p>

  <p>Please attribute "Mozilla Contributors" and include a hyperlink (online) or URL (in print) to the specific wiki page for the content being sourced. For example, to provide attribution for this article, you can write:</p>

  <blockquote>
  <p><a href="/en-US/docs/MDN/About">About MDN</a> by <a href="/en-US/docs/MDN/About$history">Mozilla Contributors</a> is licensed under <a href="https://creativecommons.org/licenses/by-sa/2.5/">CC-BY-SA 2.5</a>.</p>
  </blockquote>

  <p>Note that in the example, "Mozilla Contributors" links to the history of the cited page. See <a href="https://wiki.creativecommons.org/Marking/Users">Best practices for attribution</a> for further explanation.</p>
 </li>
 <li>
  <p>Your reuse is published under the same license as the original content—CC-BY-SA v2.5 or any later version.</p>
 </li>
</ol>

<h4 id="Code_samples_and_snippets">Code samples and snippets</h4>

<p>Code samples added on or after August 20, 2010 are in the <a class="external" href="https://creativecommons.org/publicdomain/zero/1.0/">public domain</a> (<a href="https://creativecommons.org/publicdomain/zero/1.0/">CC0</a>). No licensing notice is necessary, but if you need one, you can use: "Any copyright is dedicated to the Public Domain. http://creativecommons.org/publicdomain/zero/1.0/".</p>

<p>Code samples added before August 20, 2010 are available under the <a class="external" href="https://opensource.org/licenses/mit-license.php">MIT license</a>; you should insert the following attribution information into the MIT template: "© &lt;date of last wiki page revision&gt; &lt;name of person who put it in the wiki&gt;".</p>

<p>Since the launch of the new Yari MDN platform on December 14 2020, there is currently no way to determine which one you need. We are working on this and will update this content soon.</p>

<h4 id="Contributions">Contributions</h4>

<p>If you wish to contribute to this wiki, you must make your documentation available under the Attribution-ShareAlike license (or occasionally an alternative license already specified by the page you are editing), and your code samples available under <a href="https://creativecommons.org/publicdomain/zero/1.0/">Creative Commons CC-0</a> (a Public Domain dedication). Adding to this wiki means you agree that your contributions will be made available under those licenses.</p>

<p>Some older content was made available under a license other than those described above; these are indicated at the bottom of each page by way of an <a class="internal" href="/Archive/Meta_docs/Examples/Alternate_License_Block">Alternate License Block</a>.</p>

<div class="warning">
<p>No new pages may be created using alternate licenses.</p>
</div>

<p><strong>Copyright for contributed materials remains with the author unless the author assigns it to someone else</strong>.</p>

<p>If you have any questions or concerns about anything discussed here, please contact <a class="external" href="mailto:mdn-admins@mozilla.org?subject=MDN%20licensing%20question" rel="nofollow">the MDN administrators</a>.</p>

<h4 id="Logos_trademarks_service_marks_and_wordmarks">Logos, trademarks, service marks and wordmarks</h4>

<hr>
<p>The rights in the trademarks, logos, and service marks of the Mozilla Foundation, as well as the look and feel of this web site, are not licensed under the Creative Commons license, and to the extent they are works of authorship (like logos and graphic design), they are not included in the work that is licensed under those terms. If you use the text of documents, and wish to also use any of these rights, or if you have any other questions about complying with our licensing terms for this collection, you should contact the Mozilla Foundation here: <a class="external text" href="mailto:licensing@mozilla.org" rel="nofollow" title="mailto:licensing@mozilla.org">licensing@mozilla.org</a>.</p>

<h3 id="Linking_to_MDN">Linking to MDN</h3>

<p>We regularly get users asking us questions about how to link to MDN, or even if doing so is allowed. The short answer is: <strong>yes, you can link to MDN!</strong> Not only is the hypertext link the essence of the Web, it is both a way to point your users to valuable resources and a show of trust toward the work our community does.</p>

<h2 id="Reporting_problems_with_MDN_Web_Docs">Reporting problems with MDN Web Docs</h2>

<p>See <a href="/en-US/docs/MDN/Contribute/Howto/Report_a_problem">How to report a problem on MDN</a>.</p>

<h2 id="History_of_MDN_Web_Docs">History of MDN Web Docs</h2>

<p>The MDN Web Docs (previously <em>Mozilla Developer Network (MDN)</em>, previously <em>Mozilla Developer Center (MDC)</em>, a.k.a. <em>Devmo</em>) project started in early 2005, when the <a class="external" href="https://foundation.mozilla.org">Mozilla Foundation</a> obtained a license from AOL to use the original Netscape <a href="https://web.archive.org/web/*/devedge.netscape.com" title="Project:en/DevEdge">DevEdge</a> content. The DevEdge content was mined for still-useful material, which was then migrated by volunteers into this wiki so it would be easier to update and maintain.</p>

<p>The name was changed to MDN Web Docs in June 2017. See <a href="https://blog.mozilla.org/opendesign/future-mdn-focus-web-docs/">The Future of MDN: A Focus on Web Docs</a> for the rationale behind this decision.</p>

<p>You can find more history of MDN on our <a href="/en-US/docs/MDN_at_ten">10th anniversary celebration</a> page, including an oral history by some of the people who were involved, and on our <a href="https://hacks.mozilla.org/2020/07/mdn-web-docs-15-years-young/">MDN Web Docs: 15 years young</a> blog post, which provides a report on our 15th anniversary!</p>

<p>On December 14 2020, we went through another evolutionary step, migrating to our new Yari platform and storing all of our <a href="https://github.com/mdn/content">content in a GitHub repo</a>. Read <a href="https://hacks.mozilla.org/2020/12/welcome-yari-mdn-web-docs-has-a-new-platform/">Welcome Yari: MDN Web Docs has a new platform</a> for more details.</p>
